Spigot SchematicaControlled (Non-Bungee) 1.0

Control Schematica on your spigot server!

  1. Jolo613 submitted a new resource:

    SchematicaControlled - Control Schematica on your server!

    Read more about this resource...
     
  2. What is 'schematica'?
     
  3. Schematica is a client-side mod which allows players to build items with an client-side "ghost block". It was never meant to be used for malicious purposes, but I have seen it becoming a problem on smaller servers that are doing something building based like a build event, Factions, Skyblock, etc. The mod also integrates a module called "Printer" which is the equivalent of an auto-builder and is usually considered a cheat due to the player not having to right click at all or even look at where they are placing the block with the mod. There is already a version of the plugin I made which disables certain parts of the mod by the original author of Schematica whose name is Lunatrius however that only works on bungeecord proxy servers. The one I made is specifically for spigot servers and server owners who cannot afford to have an extra bungeecord proxy server for disabling this mod. Though I will say mine is essentially a copy of the original one (the one made for bungeecord) but just changed to work on Spigot servers instead of bungeecord. 2nd EDIT: I'm pretty sure i'm not allowed to post this link, but if you search up mc Schematica and click on the link leading to curse forge's website the mod is posted there.
     
    • Like Like x 1
  4. Code (Text):

    [21:22:20 INFO]: [SchematicaControlled] Enabling SchematicaControlled v1.0
    [21:22:20 ERROR]: Error occurred while enabling SchematicaControlled v1.0 (Is it up to date?)
    java.lang.IllegalArgumentException: Channel must contain : separator (attempted to use schematica)
            at org.bukkit.plugin.messaging.StandardMessenger.validateAndCorrectChannel(StandardMessenger.java:474) ~[spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at org.bukkit.plugin.messaging.StandardMessenger.registerOutgoingPluginChannel(StandardMessenger.java:180) ~[spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at me.x1xx.schematicacontrolled.SchematicaControlled.onEnable(SchematicaControlled.java:34) ~[?:?]
            at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:254) ~[spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:340) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at org.bukkit.craftbukkit.v1_13_R2.CraftServer.enablePlugin(CraftServer.java:436) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at org.bukkit.craftbukkit.v1_13_R2.CraftServer.enablePlugins(CraftServer.java:350) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at net.minecraft.server.v1_13_R2.MinecraftServer.l(MinecraftServer.java:580) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at net.minecraft.server.v1_13_R2.MinecraftServer.a(MinecraftServer.java:542) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at net.minecraft.server.v1_13_R2.MinecraftServer.a(MinecraftServer.java:420) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at net.minecraft.server.v1_13_R2.DedicatedServer.init(DedicatedServer.java:294) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at net.minecraft.server.v1_13_R2.MinecraftServer.run(MinecraftServer.java:698) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at java.lang.Thread.run(Thread.java:834) [?:?]
     
     
  5. Code (Text):

    >save-all
    [21:23:23 INFO]: Saving the game (this may take a moment!)
    [21:23:23 INFO]: Saved the game
    [21:23:23 WARN]: [SchematicaControlled] Plugin SchematicaControlled v1.0 generated an exception while executing task 327
    java.lang.IllegalArgumentException: Channel must contain : separator (attempted to use schematica)
            at org.bukkit.plugin.messaging.StandardMessenger.validateAndCorrectChannel(StandardMessenger.java:474) ~[spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at org.bukkit.plugin.messaging.StandardMessenger.isOutgoingChannelRegistered(StandardMessenger.java:401) ~[spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at org.bukkit.plugin.messaging.StandardMessenger.validatePluginMessage(StandardMessenger.java:514) ~[spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at org.bukkit.craftbukkit.v1_13_R2.entity.CraftPlayer.sendPluginMessage(CraftPlayer.java:1182) ~[spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at me.x1xx.schematicacontrolled.SchematicaControlled.lambda$onJoin$0(SchematicaControlled.java:52) ~[?:?]
            at org.bukkit.craftbukkit.v1_13_R2.scheduler.CraftTask.run(CraftTask.java:81) ~[spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at org.bukkit.craftbukkit.v1_13_R2.scheduler.CraftAsyncTask.run(CraftAsyncTask.java:52) [spigot-1.13.2.jar:git-Spigot-3cb9dcb-77ca7ca]
            at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128) [?:?]
            at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628) [?:?]
            at java.lang.Thread.run(Thread.java:834) [?:?]
    doesn't work?
     
  6. Haven't yet updated it to 1.13.2. For that matter I'm pretty sure I haven't updated to 1.13. Anyways, I'll post a new version for you sometime today or tomorrow.
     
  7. Actually. Never mind about that. I won't be posting a new version of Controlled Schematica. The reasoning behind this because Schematica has not released a mod version which corresponds with version 1.13+ Meaning there currently is no schematica mods for mc version 1.13+. ^^ Thanks, but currently in versions greater than 1.13 Schematica has not been released so this plugin for any version above 1.13 is obsolete as well.
    EDIT: Also, if you're using via version or backwards versions (1.13 server version but allows 1.9 clients to join) then this plugin even if I did update it to 1.13 would not work. The Messenger part of spigot changed in the 1.13 update. Meaning that if I make my plugin 1.13 compatible it will no longer work at all due to the changes with the Messenger class. So if your server is running 1.13 but allows clients lower than 1.13 version to join, Please downgrade your server as the plugin will be useless above 1.13 until schematica releases it's latest 1.13 version of the mod.
     
  8. Haha, a really fair point that I have overlooked. I wonder what alternative players are using when we see them power-build like crazy. I assumed it was schematica - I could have looked to see if they've updated I guess.

    Thank you for the information and explanation. When I saw 1.13 in the list of versions for this plugin, I was like 'oh it updated'. woops :)